services:
  tor-proxy:
    image: dperson/torproxy
    container_name: tor-sidecar
    restart: unless-stopped

  laliga-denuncias:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: laliga-denuncias
    network_mode: "service:tor-proxy"
    volumes:
      - ./images:/app/images
    environment:
      - USE_MOCK_DATA=true
      - USE_TOR=true
    restart: always
